Fix `boot` with non-`origin` remote (fixes #15538)
Needs RevisionPublic

Authored by ChaiTRex on Aug 18 2018, 6:50 PM.

Details

Reviewers
bgamari
Trac Issues
#15538
Summary

Fixes Trac Trac #15538.

ChaiTRex created this revision.Aug 18 2018, 6:50 PM
bgamari requested changes to this revision.Aug 21 2018, 10:39 AM

Very interesting; unfortunately it seems to break in detached head state (see the CI log). Perhaps you could have a look?

This revision now requires changes to proceed.Aug 21 2018, 10:39 AM
ChaiTRex updated this revision to Diff 17718.Aug 21 2018, 12:57 PM

Should fix CI errors

This comment was removed by ChaiTRex.

Trying to figure out how to get arc to not commit changes I didn't git commit.

ChaiTRex updated this revision to Diff 17719.Aug 21 2018, 1:12 PM

Fixed accidental inclusion of submodule change

It looks like you sorted things out but for the record: I generally find it's best to manually specify a base commit when using arc diff.

bgamari accepted this revision.Aug 23 2018, 3:12 PM

Alright, looks green and, while I wish git made this easier, the implementation seems sensible. Thanks!

This revision is now accepted and ready to land.Aug 23 2018, 3:12 PM
bgamari requested changes to this revision.Oct 4 2018, 1:06 PM

Unfortunately this seems to break on my machine.

boot
39

It looks to me like git remote lists remotes alphabetically. In my case this is my own bgamari remote, which is hosted on Github.

This revision now requires changes to proceed.Oct 4 2018, 1:06 PM

If it breaks by giving an inaccurate error message (i.e., it doesn't see another remote that is configured properly), I think I'll work on making it go through all the remotes to see if any of them are configured properly.